%define module  pysendfile
Name:           python-pysendfile
Version:        2.0.0
Release:        %mkrel 11
Summary:        Python interface to the sendfile(2) system call
Group:          Development/Python

License:        MIT
URL:            http://code.google.com/p/pysendfile/
Source0:        http://pysendfile.googlecode.com/files/pysendfile-%{version}.tar.gz

BuildRequires:  python-devel
BuildRequires:  python-setuptools

%{?filter_setup:
%filter_provides_in %{python_sitearch}
%filter_setup
}

%description
sendfile(2) is a system call which provides a "zero-copy" way of copying data
from one file descriptor to another (a socket). The phrase "zero-copy" refers
to the fact that all of the copying of data between the two descriptors is done
entirely by the kernel, with no copying of data into user-space buffers. This is
particularly useful when sending a file over a socket (e.g. FTP). 

%prep
%setup -q -n %module-%version


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
PYTHONPATH="$RPM_BUILD_ROOT%{python_sitearch}" %{__python} test/test_sendfile.py


%files
%doc README LICENSE
%attr(755, root, root) %{python_sitearch}/sendfile.so
%{python_sitearch}/pysendfile-%{version}-*.egg-info




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-11.mga5
+ Revision: 749479
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.0-10.mga5
+ Revision: 729565
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-9.mga5
+ Revision: 688279
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-7.mga4
+ Revision: 544160
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.0-6.mga4
+ Revision: 499271
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 2.0.0-5.mga3
+ Revision: 379417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 2.0.0-4.mga3
+ Revision: 314248
- imported package python-pysendfile


* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 8 2012 Russell Bryant <russellb@fedoraproject.org> - 2.0.0-3
- Update %%check section to a more sane method of setting PYTHONPATH

* Wed Feb 8 2012 Russell Bryant <russellb@fedoraproject.org> - 2.0.0-2
- Remove unnecessary cleaning of the buildroot in %%install section
- Add %%check section to run the unit tests
- Rename package from python-sendfile to pysendfile

* Tue Feb 7 2012 Russell Bryant <russellb@fedoraproject.org> - 2.0.0-1
- Initial package
